com.massivecraft.factions.event

## Class FactionPlayerEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent

- Direct Known Subclasses:
    FactionRelationWishEvent, FactionRenameEvent, FPlayerEnteredFactionEvent, FPlayerJoinEvent, FPlayerLeaveEvent, FPlayerStoppedFlying, LandClaimEvent, LandUnclaimAllEvent, LandUnclaimEvent, PowerLossEvent, PowerRegenEvent

      public class FactionPlayerEvent
      extends FactionEvent

  Represents an event involving a Faction and a FPlayer.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FPlayer` | `fPlayer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactionPlayerEvent(Faction faction, FPlayer fPlayer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FPlayer` | `getfPlayer()`

    - ### Methods inherited from class com.massivecraft.factions.event.FactionEvent

      `getFaction, getHandlerList, getHandlers`

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fPlayer

          protected final FPlayer fPlayer

  - ### Constructor Detail

    - #### FactionPlayerEvent

          public FactionPlayerEvent(Faction faction,
                                    FPlayer fPlayer)

  - ### Method Detail

    - #### getfPlayer

          public FPlayer getfPlayer()